'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _curry = /*#__PURE__*/require('./../../curry');

var _curry2 = /*#__PURE__*/_interopRequireDefault(_curry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calls the given function with the given value. (Reverse order of apply)
 * @signature T :: a -> (a -> b) -> b
 * @func
 * @aka thrush, applyTo
 */
const T = /*#__PURE__*/(0, _curry2.default)((x, f) => f(x));

exports.default = T;