'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _set = /*#__PURE__*/require('babel-runtime/core-js/set');

var _set2 = /*#__PURE__*/_interopRequireDefault(_set);

var _isArray = /*#__PURE__*/require('./../util/isArray');

var _isArray2 = /*#__PURE__*/_interopRequireDefault(_isArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns all of the distinct values of an array.
 * @signature distinct :: [a] -> [b]
 * @func
 * @example
 * distinct([ 1, 2, 2, 3, 4, 4, 5 ]) // [ 1, 2, 3, 4, 5 ]
 */
const distinct = arr => (0, _isArray2.default)(arr) ? [...new _set2.default(arr)] : [];

exports.default = distinct;