"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _set = /*#__PURE__*/require("babel-runtime/core-js/set");

var _set2 = /*#__PURE__*/_interopRequireDefault(_set);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns all of the distinct values of the given arrays.
 * @signature distinctN :: [a] -> [b] -> ...[n] -> [m]
 * @func
 * @example
 * distinctN([ 1, 2 ], [ 2, 3, 4 ], [ 4, 5 ]) // [ 1, 2, 3, 4, 5 ]
 */
const distinctN = (...args) => [...new _set2.default(...args)];

exports.default = distinctN;