'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reduce = /*#__PURE__*/require('./../reduce');

var _reduce2 = /*#__PURE__*/_interopRequireDefault(_reduce);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Flattens single nested array.
 * @signature flatten :: [a] -> [a]
 * @func
 * @example
 * flatten([[ 1, 2 ], [ 3, 4 ]];); // [ 1, 2, 3, 4 ]
 * flatten(null) // []
 */
const flatten = /*#__PURE__*/(0, _reduce2.default)([], (acc, curr) => [...acc, ...curr]); /* eslint-disable array-bracket-newline, array-element-newline */
exports.default = flatten;