'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _clone = /*#__PURE__*/require('./util/clone');

Object.defineProperty(exports, 'clone', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_clone).default;
  }
});

var _isArray = /*#__PURE__*/require('./util/isArray');

Object.defineProperty(exports, 'isArray', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_isArray).default;
  }
});

var _isFunction = /*#__PURE__*/require('./util/isFunction');

Object.defineProperty(exports, 'isFunction', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_isFunction).default;
  }
});

var _isObject = /*#__PURE__*/require('./util/isObject');

Object.defineProperty(exports, 'isObject', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_isObject).default;
  }
});

var _isString = /*#__PURE__*/require('./util/isString');

Object.defineProperty(exports, 'isString', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_isString).default;
  }
});

var _isNumber = /*#__PURE__*/require('./util/isNumber');

Object.defineProperty(exports, 'isNumber', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_isNumber).default;
  }
});

var _not = /*#__PURE__*/require('./util/not');

Object.defineProperty(exports, 'not', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_not).default;
  }
});

var _tap = /*#__PURE__*/require('./util/tap');

Object.defineProperty(exports, 'tap', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_tap).default;
  }
});

var _A = /*#__PURE__*/require('./combinators/A');

Object.defineProperty(exports, 'A', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_A).default;
  }
});
Object.defineProperty(exports, 'apply', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_A).default;
  }
});

var _I = /*#__PURE__*/require('./combinators/I');

Object.defineProperty(exports, 'I', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_I).default;
  }
});
Object.defineProperty(exports, 'identity', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_I).default;
  }
});

var _K = /*#__PURE__*/require('./combinators/K');

Object.defineProperty(exports, 'K', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_K).default;
  }
});
Object.defineProperty(exports, 'constant', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_K).default;
  }
});

var _OR = /*#__PURE__*/require('./combinators/OR');

Object.defineProperty(exports, 'OR', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_OR).default;
  }
});
Object.defineProperty(exports, 'alternation', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_OR).default;
  }
});

var _Fork = /*#__PURE__*/require('./combinators/Fork');

Object.defineProperty(exports, 'fork', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_Fork).default;
  }
});

var _T = /*#__PURE__*/require('./combinators/T');

Object.defineProperty(exports, 'T', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_T).default;
  }
});
Object.defineProperty(exports, 'thrush', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_T).default;
  }
});
Object.defineProperty(exports, 'applyTo', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_T).default;
  }
});

var _Maybe = /*#__PURE__*/require('./monads/Maybe');

Object.defineProperty(exports, 'Maybe', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_Maybe).default;
  }
});

var _Either = /*#__PURE__*/require('./monads/Either');

Object.defineProperty(exports, 'Either', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_Either).default;
  }
});

var _IO = /*#__PURE__*/require('./monads/IO');

Object.defineProperty(exports, 'IO', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_IO).default;
  }
});

var _every = /*#__PURE__*/require('./every');

Object.defineProperty(exports, 'all', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_every).default;
  }
});

var _associate = /*#__PURE__*/require('./associate');

Object.defineProperty(exports, 'associate', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_associate).default;
  }
});
Object.defineProperty(exports, 'assoc', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_associate).default;
  }
});

var _altAssociate = /*#__PURE__*/require('./altAssociate');

Object.defineProperty(exports, 'altAssociate', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_altAssociate).default;
  }
});
Object.defineProperty(exports, 'altAssoc', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_altAssociate).default;
  }
});

var _average = /*#__PURE__*/require('./average');

Object.defineProperty(exports, 'average', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_average).default;
  }
});

var _both = /*#__PURE__*/require('./both');

Object.defineProperty(exports, 'both', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_both).default;
  }
});

var _compact = /*#__PURE__*/require('./compact');

Object.defineProperty(exports, 'compact', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_compact).default;
  }
});

var _compose = /*#__PURE__*/require('./compose');

Object.defineProperty(exports, 'compose', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_compose).default;
  }
});

var _concat = /*#__PURE__*/require('./concat');

Object.defineProperty(exports, 'concat', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_concat).default;
  }
});

var _concatN = /*#__PURE__*/require('./concatN');

Object.defineProperty(exports, 'concatN', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_concatN).default;
  }
});

var _curry = /*#__PURE__*/require('./curry');

Object.defineProperty(exports, 'curry', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_curry).default;
  }
});

var _deviation = /*#__PURE__*/require('./deviation');

Object.defineProperty(exports, 'deviation', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_deviation).default;
  }
});

var _difference = /*#__PURE__*/require('./difference');

Object.defineProperty(exports, 'difference', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_difference).default;
  }
});

var _distinct = /*#__PURE__*/require('./distinct');

Object.defineProperty(exports, 'distinct', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_distinct).default;
  }
});

var _distinctN = /*#__PURE__*/require('./distinctN');

Object.defineProperty(exports, 'distinctN', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_distinctN).default;
  }
});

var _distinctFn = /*#__PURE__*/require('./distinctFn');

Object.defineProperty(exports, 'distinctFn', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_distinctFn).default;
  }
});

var _each = /*#__PURE__*/require('./each');

Object.defineProperty(exports, 'each', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_each).default;
  }
});
Object.defineProperty(exports, 'every', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_every).default;
  }
});

var _filter = /*#__PURE__*/require('./filter');

Object.defineProperty(exports, 'filter', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_filter).default;
  }
});

var _find = /*#__PURE__*/require('./find');

Object.defineProperty(exports, 'find', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_find).default;
  }
});

var _findIndex = /*#__PURE__*/require('./findIndex');

Object.defineProperty(exports, 'findIndex', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_findIndex).default;
  }
});

var _flatten = /*#__PURE__*/require('./flatten');

Object.defineProperty(exports, 'flatten', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_flatten).default;
  }
});

var _from = /*#__PURE__*/require('./from');

Object.defineProperty(exports, 'from', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_from).default;
  }
});

var _groupBy = /*#__PURE__*/require('./groupBy');

Object.defineProperty(exports, 'groupBy', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_groupBy).default;
  }
});

var _intersection = /*#__PURE__*/require('./intersection');

Object.defineProperty(exports, 'intersection', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_intersection).default;
  }
});

var _join = /*#__PURE__*/require('./join');

Object.defineProperty(exports, 'join', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_join).default;
  }
});

var _map = /*#__PURE__*/require('./map');

Object.defineProperty(exports, 'map', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_map).default;
  }
});

var _merge = /*#__PURE__*/require('./merge');

Object.defineProperty(exports, 'merge', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_merge).default;
  }
});

var _occurrence = /*#__PURE__*/require('./occurrence');

Object.defineProperty(exports, 'occurrence', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_occurrence).default;
  }
});

var _partial = /*#__PURE__*/require('./partial');

Object.defineProperty(exports, 'partial', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_partial).default;
  }
});

var _pipe = /*#__PURE__*/require('./pipe');

Object.defineProperty(exports, 'pipe', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_pipe).default;
  }
});

var _pop = /*#__PURE__*/require('./pop');

Object.defineProperty(exports, 'pop', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_pop).default;
  }
});

var _promisify = /*#__PURE__*/require('./promisify');

Object.defineProperty(exports, 'promisify', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_promisify).default;
  }
});

var _property = /*#__PURE__*/require('./property');

Object.defineProperty(exports, 'property', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_property).default;
  }
});

var _push = /*#__PURE__*/require('./push');

Object.defineProperty(exports, 'push', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_push).default;
  }
});

var _reduce = /*#__PURE__*/require('./reduce');

Object.defineProperty(exports, 'reduce', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_reduce).default;
  }
});

var _reduceRight = /*#__PURE__*/require('./reduceRight');

Object.defineProperty(exports, 'reduceRight', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_reduceRight).default;
  }
});

var _reverse = /*#__PURE__*/require('./reverse');

Object.defineProperty(exports, 'reverse', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_reverse).default;
  }
});

var _select = /*#__PURE__*/require('./select');

Object.defineProperty(exports, 'select', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_select).default;
  }
});

var _shift = /*#__PURE__*/require('./shift');

Object.defineProperty(exports, 'shift', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_shift).default;
  }
});

var _shuffle = /*#__PURE__*/require('./shuffle');

Object.defineProperty(exports, 'shuffle', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_shuffle).default;
  }
});

var _slice = /*#__PURE__*/require('./slice');

Object.defineProperty(exports, 'slice', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_slice).default;
  }
});

var _some = /*#__PURE__*/require('./some');

Object.defineProperty(exports, 'some', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_some).default;
  }
});

var _sort = /*#__PURE__*/require('./sort');

Object.defineProperty(exports, 'sort', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_sort).default;
  }
});

var _subset = /*#__PURE__*/require('./subset');

Object.defineProperty(exports, 'subset', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_subset).default;
  }
});

var _sum = /*#__PURE__*/require('./sum');

Object.defineProperty(exports, 'sum', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_sum).default;
  }
});

var _sumN = /*#__PURE__*/require('./sumN');

Object.defineProperty(exports, 'sumN', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_sumN).default;
  }
});

var _symmetricDifference = /*#__PURE__*/require('./symmetricDifference');

Object.defineProperty(exports, 'symmetricDifference', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_symmetricDifference).default;
  }
});

var _union = /*#__PURE__*/require('./union');

Object.defineProperty(exports, 'union', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_union).default;
  }
});

var _unshift = /*#__PURE__*/require('./unshift');

Object.defineProperty(exports, 'unshift', {
  enumerable: true,
  get: function () {
    return _interopRequireDefault(_unshift).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }