'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _set = /*#__PURE__*/require('babel-runtime/core-js/set');

var _set2 = /*#__PURE__*/_interopRequireDefault(_set);

var _from = /*#__PURE__*/require('babel-runtime/core-js/array/from');

var _from2 = /*#__PURE__*/_interopRequireDefault(_from);

var _curry = /*#__PURE__*/require('./../curry');

var _curry2 = /*#__PURE__*/_interopRequireDefault(_curry);

var _isArray = /*#__PURE__*/require('./../util/isArray');

var _isArray2 = /*#__PURE__*/_interopRequireDefault(_isArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Returns every element that exists in any of the two arrays once.
//
// union([ 1, 2, 3 ], [ 4, 3, 2 ]);
// >> [ 1, 2, 3, 4 ]
//
exports.default = /*#__PURE__*/(0, _curry2.default)((a, b) => (0, _from2.default)(new _set2.default([...((0, _isArray2.default)(a) ? a : []), ...((0, _isArray2.default)(b) ? b : [])])));