"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Determines if the given value is a number.
 * @signature isNumber :: a -> Boolean
 * @func
 * @example
 * isNumber(42)  // true
 * isNumber(8e5)  // true
 * isNumber(0x2F)  // true
 * isNumber('foo bar')  // false
 */
const isNumber = n => !isNaN(parseFloat(n)) && isFinite(n);

exports.default = isNumber;