'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _curry = /*#__PURE__*/require('./../../curry');

var _curry2 = /*#__PURE__*/_interopRequireDefault(_curry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calls the given function with the given value and returns the value.
 * @signature tap :: (a -> b) -> a -> a
 * @func
 * @example
 * tap(console.log, 'foobar') // foobar
 */
const tap = /*#__PURE__*/(0, _curry2.default)((x, y) => {
  x(y);
  return y;
});

exports.default = tap;