import isArray from './../util/isArray';
import sum from './../sum';

/**
 * Averages the given array values
 * @signature average :: [Number] -> Number
 * @func
 * @example
 * average([ 1, 2, 3 ]); // 2
 * average(1, 2, 3); // 2
 * average(); // 0
 */
var average = function average() {
  for (var _len = arguments.length, nums = Array(_len), _key = 0; _key < _len; _key++) {
    nums[_key] = arguments[_key];
  }

  return isArray(nums) && nums.length ? sum([].concat(nums)) / [].concat(nums).length : 0;
};

export default average;