import curry from './../../curry';

/**
 * Calls the given function with the given value. (Reverse order of apply)
 * @signature T :: a -> (a -> b) -> b
 * @func
 * @aka thrush, applyTo
 */
var T = /*#__PURE__*/curry(function (x, f) {
  return f(x);
});

export default T;