import _Set from 'babel-runtime/core-js/set';
import _toConsumableArray from 'babel-runtime/helpers/toConsumableArray';
import isFunction from './../util/isFunction';
import isArray from './../util/isArray';
import curry from './../curry';

export default /*#__PURE__*/curry(function (func, arr) {
  return isArray(arr) ? isFunction(func) ? [].concat(_toConsumableArray(new _Set(arr.map(func)))) : [].concat(_toConsumableArray(new _Set(arr))) : [];
});