import _Set from "babel-runtime/core-js/set";
import _toConsumableArray from "babel-runtime/helpers/toConsumableArray";
/**
 * Returns all of the distinct values of the given arrays.
 * @signature distinctN :: [a] -> [b] -> ...[n] -> [m]
 * @func
 * @example
 * distinctN([ 1, 2 ], [ 2, 3, 4 ], [ 4, 5 ]) // [ 1, 2, 3, 4, 5 ]
 */
var distinctN = function distinctN() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return [].concat(_toConsumableArray(new (Function.prototype.bind.apply(_Set, [null].concat(args)))()));
};

export default distinctN;