import _toConsumableArray from 'babel-runtime/helpers/toConsumableArray';
/* eslint-disable array-bracket-newline, array-element-newline */
import reduce from './../reduce';

/**
 * Flattens single nested array.
 * @signature flatten :: [a] -> [a]
 * @func
 * @example
 * flatten([[ 1, 2 ], [ 3, 4 ]];); // [ 1, 2, 3, 4 ]
 * flatten(null) // []
 */
var flatten = /*#__PURE__*/reduce([], function (acc, curr) {
  return [].concat(_toConsumableArray(acc), _toConsumableArray(curr));
});

export default flatten;