import curry from './../curry';
import isFunction from './../util/isFunction';
import isArray from './../util/isArray';
import clone from './../util/clone';

export default /*#__PURE__*/curry(function (func, arr) {
  return !isFunction(func) ? isArray(arr) ? clone(arr) : [] : isArray(arr) ? arr.map(func) : [];
});