import _toConsumableArray from 'babel-runtime/helpers/toConsumableArray';
import _Set from 'babel-runtime/core-js/set';
import _Array$from from 'babel-runtime/core-js/array/from';
import curry from './../curry';
import isArray from './../util/isArray';

// Returns every element that exists in any of the two arrays once.
//
// union([ 1, 2, 3 ], [ 4, 3, 2 ]);
// >> [ 1, 2, 3, 4 ]
//
export default /*#__PURE__*/curry(function (a, b) {
  return _Array$from(new _Set([].concat(_toConsumableArray(isArray(a) ? a : []), _toConsumableArray(isArray(b) ? b : []))));
});