import _toConsumableArray from 'babel-runtime/helpers/toConsumableArray';
import curry from './../curry';
import isArray from './../util/isArray';
import clone from './../util/clone';

// unshift(0, [ 1, 2, 3, 4 ])
// >> [ 0, 1, 2, 3, 4 ]
//
// unshift(0)
// >> [0]
//
export default /*#__PURE__*/curry(function (val, arr) {
  return isArray(arr) ? [val].concat(_toConsumableArray(clone(arr))) : [val];
});