import _typeof from 'babel-runtime/helpers/typeof';
function clone(x) {
  var i = void 0;

  if (!x || (typeof x === 'undefined' ? 'undefined' : _typeof(x)) !== 'object') {
    return x;
  }

  if (x instanceof Date) {
    return new Date(x);
  }

  if (Array.isArray(x)) {
    var arr = [];

    for (i = 0; i < x.length; i += 1) {
      arr[i] = clone(x[i]);
    }

    return arr;
  }

  if (x instanceof Object && x.constructor === Object) {
    var obj = {};

    for (i in x) {
      if (x.hasOwnProperty(i)) {
        obj[i] = clone(x[i]);
      }
    }

    return obj;
  }

  return x;
}

export default clone;