import curry from './../../curry';

/**
 * Calls the given function with the given value and returns the value.
 * @signature tap :: (a -> b) -> a -> a
 * @func
 * @example
 * tap(console.log, 'foobar') // foobar
 */
var tap = /*#__PURE__*/curry(function (x, y) {
  x(y);
  return y;
});

export default tap;