'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _curry = /*#__PURE__*/require('./../../curry');

var _curry2 = /*#__PURE__*/_interopRequireDefault(_curry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Calls the given function with the given value.
 * @signature A :: (a -> b) -> a -> b
 * @func
 * @aka apply
 */
const A = /*#__PURE__*/(0, _curry2.default)((f, x) => f(x));

exports.default = A;