'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _curry = /*#__PURE__*/require('./../curry');

var _curry2 = /*#__PURE__*/_interopRequireDefault(_curry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Applies the given func to each element in the array.
 * @signature each :: (a -> b) -> [c] -> undefined
 * @func
 * @example
 * difference(log, [1, 2, 3])
 */
const each = /*#__PURE__*/(0, _curry2.default)((fn, arr) => arr.forEach(fn));

exports.default = each;