'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _set = /*#__PURE__*/require('babel-runtime/core-js/set');

var _set2 = /*#__PURE__*/_interopRequireDefault(_set);

var _curry = /*#__PURE__*/require('./../curry');

var _curry2 = /*#__PURE__*/_interopRequireDefault(_curry);

var _isArray = /*#__PURE__*/require('./../util/isArray');

var _isArray2 = /*#__PURE__*/_interopRequireDefault(_isArray);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Returns a list of elements that exist in both arrays.
//
// intersection([ 1, 2, 3 ], [ 4, 3, 2 ]);
// >> [ 2,3 ]
//
exports.default = /*#__PURE__*/(0, _curry2.default)((a, b) => {
  const s = (0, _isArray2.default)(b) ? new _set2.default(b) : new _set2.default();

  return (0, _isArray2.default)(a) ? a.filter(x => s.has(x)) : [...s];
});