'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isArray = /*#__PURE__*/require('./../util/isArray');

var _isArray2 = /*#__PURE__*/_interopRequireDefault(_isArray);

var _reduce = /*#__PURE__*/require('./../reduce');

var _reduce2 = /*#__PURE__*/_interopRequireDefault(_reduce);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Returns the sum of two or more numbers or an array of numbers.
//
// sum([ 1, 2, 3, 4 ]);
// >> 10
//
// sum(1, 2, 3, 4);
// >> 10
//
exports.default = (...nums) => (0, _isArray2.default)(nums) ? (0, _reduce2.default)(0, (acc, val) => acc + Number(val), [].concat(...nums)) : 0;