import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _createClass from 'babel-runtime/helpers/createClass';
import isFunction from './../../util/isFunction';

var IO = /*#__PURE__*/function () {
  function IO(effect) {
    _classCallCheck(this, IO);

    if (!isFunction(effect)) {
      throw new Error('effect needs to be a function');
    }

    this._effect = effect;
  }

  _createClass(IO, [{
    key: 'map',
    value: function map(fn) {
      var _this = this;

      return new IO(function () {
        return fn(_this._effect());
      });
    }
  }, {
    key: 'chain',
    value: function chain(fn) {
      return fn(this._effect());
    }
  }, {
    key: 'run',
    value: function run() {
      return this._effect();
    }
  }], [{
    key: 'of',
    value: function of(val) {
      return new IO(function () {
        return val;
      });
    }
  }, {
    key: 'from',
    value: function from(fn) {
      return new IO(fn);
    }
  }]);

  return IO;
}();

export default IO;