import curry from './../curry';
import isArray from './../util/isArray';

// Counts the occurrences of a value in an array.
//
// occurrences(1, [ 1, 1, 2, 1, 2, 3 ]);
// >> 3
//
export default /*#__PURE__*/curry(function (value, arr) {
  return isArray(arr) ? arr.reduce(function (acc, val) {
    return val === value ? acc + 1 : acc;
  }, 0) : 0;
});