import isArray from './../util/isArray';
import clone from './../util/clone';

// May be slightly unconventional but given you can only return one value
// which of the two things that pop does is more important?
// Removing the item from the array or returning that item
// I chose removing the item

// pop([ 1, 2, 3, 4, 5 ]);
// >> [ 1, 2, 3, 4 ]
//
// pop([1]);
// >> []
//
// pop();
// >> []
//
export default (function (arr) {
  return !isArray(arr) || !arr.length ? [] : clone(arr).slice(0, arr.length - 1);
});