import isArray from './../util/isArray';
import reduce from './../reduce';

// Returns the sum of two or more numbers or an array of numbers.
//
// sum([ 1, 2, 3, 4 ]);
// >> 10
//
// sum(1, 2, 3, 4);
// >> 10
//
export default (function () {
  var _ref;

  for (var _len = arguments.length, nums = Array(_len), _key = 0; _key < _len; _key++) {
    nums[_key] = arguments[_key];
  }

  return isArray(nums) ? reduce(0, function (acc, val) {
    return acc + Number(val);
  }, (_ref = []).concat.apply(_ref, nums)) : 0;
});