/**
 * Determines if the given value is a string.
 * @signature isString :: a -> Boolean
 * @func
 * @example
 * isString('foo bar')  // true
 * isString({ a: 'b' })  // false
 */
var isString = function isString(value) {
  return value != null && value.constructor === String;
};

export default isString;